﻿@inject ISnackbar Snackbar
@inject UserAppState UserAppState

@implements IDisposable

<MudContainer>
    <MudStack>
        <MudButton Variant="Variant.Filled" OnClick="OnExpandCollapse" Disabled="@IsSaving">@(IsExpanded ? "Cancel Edit" : "Edit Permissions")</MudButton>
        <MudCollapse Expanded="IsExpanded">
            <PermissionTree @bind-Permissions="@WorkingPerms" />
            <MudStack Justify="Justify.FlexEnd" Row="true">
                <MudButton Variant="Variant.Filled" Color="Color.Primary" OnClick="OnSave" Disabled="@IsSaving">
                    @if (IsSaving)
                    {
                        <MudProgressCircular Class="ms-n1" Size="Size.Small" Indeterminate="true" />
                    }
                    Save Changes
                </MudButton>
            </MudStack>
        </MudCollapse>
    </MudStack>
</MudContainer>

